// ---------------------------------------------------------------------------------------
// 
// ManRefRCons.CS                                                   Ulrich Mller 04.06.04
//                                                                  PCS17000      C# Final
// Testrahmen fr die Beispiele zu Fish30.FishRobot
//
// ---------------------------------------------------------------------------------------

using System;
using cn = System.Console;
using FishFa30;

namespace ManRefRCons
{
	class ManRef
	{
		static FishRobot ft = new FishRobot(new int[,]{{3,222},{4,88}});

		[STAThread]
		static void Main(string[] args)
		{
			ft.PositionChange += new FishRobot.CommonDelegate(PositionAusgabe);
			try 
			{
				ft.OpenInterface(Port.COM2);  // --- ggf. anpassen
				cn.WriteLine("--- ManRef gestartet ---");
				// --- Hier Code einfgen ----
				ft.MoveHome();
				ft.MoveTo(34, 56);
			}
			catch(FishFaceException eft)
			{
				cn.WriteLine(eft.Message);
			}
			finally 
			{
				ft.CloseInterface();
				cn.WriteLine("---Finito---");
				cn.Read();
			}
		}
		static void PositionAusgabe(object sender, int[] actPos) {
			cn.WriteLine(actPos[0].ToString() + " - " + actPos[1].ToString());
		}
	}
}
